# enable_gtkdoc: toggle if gtk-doc stuff should be rebuilt.
#	0 = no
#	1 = yes
%define enable_gtkdoc	0

# End of user configurable section
%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}

%define req_bonobo_activation_version	0.9.3
%define req_libbonobo_version			2.4.0
%define req_libgnomecanvas_version		1.116.0
%define req_libgnome_version			1.116.0
%define req_libglade_version			2.0.0
%define req_gtk_version					2.2.0

%define api_version	2
%define lib_major	0
%define lib_name	%mklibname bonoboui %{api_version} %{lib_major}

# define to use Xvfb
%define build_xvfb 1

# Allow --with[out] <feature> at rpm command line build
%{?_without_XVFB: %{expand: %%define build_xvfb 0}}
%{?_with_XVFB: %{expand: %%define build_xvfb 1}}


Name:		libbonoboui
Summary:	Library for compound documents in GNOME
Version:	2.4.3
Release:	3mdk
License:	LGPL
URL:		http://www.gnome.org/
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Source0:	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
# (fc) 2.4.3-3mdk fix assert being too sensitive (Alex)
Patch0:		libbonoboui-2.4.3-frameassert.patch.bz2

BuildRequires:	libgnomecanvas2-devel >= %{req_libgnomecanvas_version}
BuildRequires:	libgnome2-devel >= %{req_libgnome_version}
BuildRequires:	libbonobo2_x-devel >= %{req_libbonobo_version}
BuildRequires:  libglade2.0-devel >= %{req_libglade_version}
BuildRequires:  gtk+2-devel >= %{req_gtk_version}
%if %enable_gtkdoc
BuildRequires:	gtk-doc >= 0.9
%endif
%if %{build_xvfb}
BuildRequires:  XFree86-Xvfb
%endif

Requires:	%{lib_name} = %{version}-%{release}
Requires:   gtk+2.0 >= %{req_gtk_version}

%description
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package contains various needed modules and files for bonobo 2
to operate.


%package -n %{lib_name}
Summary:	Library for compound documents in GNOME
Group:		%{group}
Provides:	%{name}%{api_version} = %{version}-%{release}
Requires:	%{name} >= %{version}
Requires:	libbonobo-activation >= %{req_bonobo_activation_version}

%description -n %{lib_name}
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides libraries to use Bonobo.


%package -n %{lib_name}-devel
Summary:	Static libraries, include files and sample code for Bonobo 2
Group:		Development/GNOME and GTK+
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Requires:	%{lib_name} = %{version}-%{release}
Requires:	%{name} = %{version}-%{release}
Requires:	libgnomecanvas2-devel >= %{req_libgnomecanvas_version}
Requires:	libgnome2-devel >= %{req_libgnome_version}
Requires:	libbonobo2_x-devel >= %{req_libbonobo_version}
Requires:	gtk+2-devel >= %{req_gtk_version}

%description -n %{lib_name}-devel
Bonobo is a library that provides the necessary framework for GNOME
applications to deal with compound documents, i.e. those with a
spreadsheet and graphic embedded in a word-processing document.

This package provides the necessary development libraries and include
files to allow you to develop programs using the Bonobo document model;
it includes demonstration executables and codes as well.


%prep
%setup -q
%patch0 -p1 -b .frameassert

%build

#we don't use libtool 1.5 yet
%define __libtoolize /bin/true

%configure2_5x

%make

%if %{build_xvfb}
XDISPLAY=$(i=0; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
/usr/X11R6/bin/Xvfb :$XDISPLAY >& /dev/null &
DISPLAY=:$XDISPLAY make check
kill $(cat /tmp/.X$XDISPLAY-lock)
%else
make check
%endif

%install
rm -rf %{buildroot}
%makeinstall_std

%{find_lang} %{name}-2.0

# remove unpackaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/libglade/2.0/*.{la,a}

%clean
rm -rf %{buildroot}

%post -n %{lib_name} -p /sbin/ldconfig
  
%postun -n %{lib_name} -p /sbin/ldconfig

%files -f %{name}-2.0.lang
%defattr(-, root, root)
%doc README NEWS ChangeLog changes.txt
%{_bindir}/*
%{_libdir}/bonobo/servers/*
%{_libdir}/bonobo-2.0
%{_libdir}/libglade/2.0/*.so
%{_datadir}/gnome-2.0

%files -n %{lib_name}
%defattr(-, root, root)
%doc README NEWS
%{_libdir}/libbonobo*.so.*

%files -n %{lib_name}-devel
%defattr(-, root, root)
%doc %{_datadir}/gtk-doc/html/*
%{_includedir}/*
%{_libdir}/libbonobo*.so
%{_libdir}/libbonobo*.a
%{_libdir}/libbonobo*.la
%{_libdir}/pkgconfig/*

%changelog
* Thu Mar 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-3mdk
- Patch0 (Alex) : fix precondition being too agressive, causing wrong
  assert when exiting nautilus

* Thu Feb 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-2mdk
- Fix distlint error

* Thu Jan 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-1mdk
- Release 2.4.3

* Tue Dec  9 2003 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- new version

* Fri Nov 07 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-1mdk
- Release 2.4.1

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0

* Wed Aug 13 2003 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.3.6-2mdk
- [Build]Requires: libbonobo2_x-devel

* Tue Aug 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.6-1mdk
- Release 2.3.6

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-2mdk
- Recompiled for latest provides

* Thu Jun 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.3.3-1mdk
- Release 2.3.3

* Mon Jun 02 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.2-1mdk
- Release 2.2.2

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.0.1-2mdk
- Fix gtk+ version required

* Mon Apr 14 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0.1-1mdk
- Release 2.2.0.1

* Tue Jan 21 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0

* Thu Jan 16 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-2mdk
- Rebuild against latest openssl

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2

* Wed Dec 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-2mdk
- Enforce gtk+ >= 2.1.0 dependency

* Thu Nov 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.1-1mdk
- Release 2.1.1
- Remove patches 0 & 1 (merged upstream)

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.0-1mdk
- Release 2.1.0
- Remove patch2 (merged upstream)

* Thu Oct 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Fri Sep 27 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-2mdk
- Patch0: Make it lib64-aware
- Patch1: Fix bogus termination of varargs functions
- Patch2: bonobo-ui-node.c (bonobo_ui_node_ref): Do return the node, not junk

* Wed Aug 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.1-1mdk
- Release 2.0.1

* Mon Jul 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-2mdk
- Fix BuildRequires (Stefan)
- Conditionalize build with Xvfb (Gwenole)

* Thu Jun  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0

* Tue Jun  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.118.0-1mdk
- Release 1.118.0

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.116.0-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Tue Apr 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.116.0-1mdk
- Release 1.116.0

* Tue Apr 16 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.115.0-1mdk
- Release 1.115.0

* Mon Mar 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.113.0-1mdk
- Release 1.113.0

* Fri Mar 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.112.0-1mdk
- First official Mdk package (based on Abel Cheung work)

* Mon Mar 18 2002 Abel Cheung <maddog@linux.org.hk> 1.112.0-1mdk
- 1.112.0
- Not provide sample program anymore

* Sun Jan 13 2002 Abel Cheung <maddog@linux.org.hk> 1.109.0-1mdk
- 1.109.0

* Mon Jan  7 2002 Abel Cheung <maddog@linux.org.hk> 1.108.0-1mdk
- 1.108.0

* Sat Dec  8 2001 Abel Cheung <maddog@linux.org.hk> 1.107.0-1mdk
- 1.107.0
- Remove all .la files not in $libdir from devel package
- Use configure2_5x to specify build,host,target
- Added hack to define GETTEXT_PACKAGE correctly
- More doc

* Mon Nov 12 2001 Abel Cheung <maddog@linux.org.hk> 1.106.0-1mdk
- 1.106.0
- Corrected BuildConflicts
- Corrected Source URL
- Patch0 merged upstream
- Updated {Build,}Requires
- Rename gettext name, so can really include lang file now
- Move sample programs, idl files and lang file to main package
- Package name renamed from libbonobo2 to libbonobo

* Tue Oct 30 2001 Abel Cheung <maddog@linux.org.hk> 1.103.0-2mdk
- Rebuild for glib 1.3.10
- Bzip2 patch
- More macros
- Don't include static modules in devel packages
- BuildConflicts itself, otherwise may generate faulty packages
- Remove a redundant Requires

* Wed Oct  3 2001 Abel Cheung <maddog@linux.org.hk> 1.103.0-1mdk
- First Mandrake spec, based on bonobo spec
- Patch0: parallel install fix with bonobo 1.0.x
